EndpointsCall Recordings

Call Recordings

Function-calling namespace: callRecordings

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/call-recordings/create

Input Fields

FieldTypeRequiredConstraints
appointmentIdstringYes-
organizationIdstringYes-
channelNamestringYes-
statusstringNo-
createdBystringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "callRecordings",
  "apiName": "create",
  "data": {
    "appointmentId": "appointment_123",
    "organizationId": "org_123",
    "channelName": "value",
    "createdBy": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/call-recordings/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "callRecordings",
  "apiName": "delete",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/call-recordings/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "callRecordings",
  "apiName": "getById",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByOrganization

Source: backend/endpoints/call-recordings/list-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "callRecordings",
  "apiName": "listByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

startStreamRecording

Source: backend/endpoints/call-recordings/start-stream

Input Fields

FieldTypeRequiredConstraints
appointmentIdstringYes-
organizationIdstringYes-
stackUserIdstringYes-
callTypestringYes-
callIdstringYes-
callCidstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "callRecordings",
  "apiName": "startStreamRecording",
  "data": {
    "appointmentId": "appointment_123",
    "organizationId": "org_123",
    "stackUserId": "stackuser_123",
    "callType": "general",
    "callId": "call_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

stopStreamRecording

Source: backend/endpoints/call-recordings/stop-stream

Input Fields

FieldTypeRequiredConstraints
appointmentIdstringYes-
organizationIdstringYes-
stackUserIdstringYes-
callTypestringYes-
callIdstringYes-
callCidstringNo-
reasonstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "callRecordings",
  "apiName": "stopStreamRecording",
  "data": {
    "appointmentId": "appointment_123",
    "organizationId": "org_123",
    "stackUserId": "stackuser_123",
    "callType": "general",
    "callId": "call_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

syncStreamRecordingArtifacts

Source: backend/endpoints/call-recordings/sync-stream

Input Fields

FieldTypeRequiredConstraints
appointmentIdstringYes-
organizationIdstringYes-
stackUserIdstringYes-
callTypestringYes-
callIdstringYes-
callCidstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "callRecordings",
  "apiName": "syncStreamRecordingArtifacts",
  "data": {
    "appointmentId": "appointment_123",
    "organizationId": "org_123",
    "stackUserId": "stackuser_123",
    "callType": "general",
    "callId": "call_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/call-recordings/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
statusstringNonullable
errorstringNonullable
stopReasonstringNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "callRecordings",
  "apiName": "update",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }